import request from '@/utils/request'

// 查询玩具文件列表
export function listFile(query) {
  return request({
    url: '/toy/file/list',
    method: 'get',
    params: query
  })
}

// 查询玩具文件详细
export function getFile(id) {
  return request({
    url: '/toy/file/' + id,
    method: 'get'
  })
}

// 新增玩具文件
export function addFile(data) {
  return request({
    url: '/toy/file',
    method: 'post',
    data: data
  })
}

// 修改玩具文件
export function updateFile(data) {
  return request({
    url: '/toy/file',
    method: 'put',
    data: data
  })
}

// 删除玩具文件
export function delFile(id) {
  return request({
    url: '/toy/file/' + id,
    method: 'delete'
  })
}

// 通过serviceId获取对应的文件列表
export function selectUrlById(id) {
  return request({
    url: '/file/selectUrlById/' + id,
    method: 'get'
  })
}

// 模板下载
export function downloadTemplate() {
  return request({
    url: '/toy/file/download/template',
    method: 'post',
    responseType: 'blob'
  })
}
